Loading...
Searching...
No Matches
Ogre::Degree Class Reference
Core » Math

Wrapper class which indicates a given angle value is in Degrees. More...

`#include <OgreMath.h>`

## Public Member Functions

| Degree (const Ogre::Degree &rhs)
| Degree (const Radian &r)
| Degree (float d=0)
bool | operator!= (const Degree &d) const
Degree | operator* (const Degree &f) const
Degree | operator* (float f) const
Degree & | operator*= (float f)
const Degree & | operator+ () const
Degree | operator+ (const Degree &d) const
Degree | operator+ (const Radian &r) const
Degree & | operator+= (const Degree &d)
Degree & | operator+= (const Radian &r)
Degree | operator- () const
Degree | operator- (const Degree &d) const
Degree | operator- (const Radian &r) const
Degree & | operator-= (const Degree &d)
Degree & | operator-= (const Radian &r)
Degree | operator/ (float f) const
Degree & | operator/= (float f)
bool | operator< (const Degree &d) const
bool | operator<= (const Degree &d) const
Degree & | operator= (const Degree &d)
Degree & | operator= (const float &f)
Degree & | operator= (const Radian &r)
bool | operator== (const Degree &d) const
bool | operator> (const Degree &d) const
bool | operator>= (const Degree &d) const
float | valueAngleUnits () const
float | valueDegrees () const
float | valueRadians () const

## Detailed Description

Wrapper class which indicates a given angle value is in Degrees.

Degree values are interchangeable with Radian values, and conversions will be done automatically between them.

## Constructor & Destructor Documentation

## Degree() [1/3]

Ogre::Degree::Degree | ( | float | d = 0 | ) |

inline explicit

Referenced by operator!=(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+(), operator+=(), operator+=(), operator-(), operator-(), operator-(), operator-=(), operator-=(), operator/(), operator/=(), operator<(), operator<<, operator<=(), operator=(), operator=(), operator=(), operator==(), operator>(), and operator>=().

## Degree() [2/3]

Ogre::Degree::Degree | ( | const Radian & | r | ) |

inline

References valueDegrees().

## Degree() [3/3]

Ogre::Degree::Degree | ( | const Ogre::Degree & | rhs | ) |

inline

## Member Function Documentation

## operator=() [1/3]

Degree & Ogre::Degree::operator= | ( | const float & | f | ) |

inline

References Degree().

## operator=() [2/3]

Degree & Ogre::Degree::operator= | ( | const Degree & | d | ) |

inline

References Degree().

## operator=() [3/3]

Degree & Ogre::Degree::operator= | ( | const Radian & | r | ) |

inline

References Degree(), and Ogre::Radian::valueDegrees().

## valueDegrees()

float Ogre::Degree::valueDegrees | ( |  | ) | const

inline

Referenced by Degree(), Ogre::Math::Abs(), Ogre::operator*(), Ogre::operator/(), Ogre::Math::Sign(), and Ogre::Math::Sqrt().

## operator+() [1/3]

const Degree & Ogre::Degree::operator+ | ( |  | ) | const

inline

References Degree().

## operator+() [2/3]

Degree Ogre::Degree::operator+ | ( | const Degree & | d | ) | const

inline

References Degree().

## operator+() [3/3]

Degree Ogre::Degree::operator+ | ( | const Radian & | r | ) | const

inline

References Degree(), and Ogre::Radian::valueDegrees().

## operator+=() [1/2]

Degree & Ogre::Degree::operator+= | ( | const Degree & | d | ) |

inline

References Degree().

## operator+=() [2/2]

Degree & Ogre::Degree::operator+= | ( | const Radian & | r | ) |

inline

References Degree(), and Ogre::Radian::valueDegrees().

## operator-() [1/3]

Degree Ogre::Degree::operator- | ( |  | ) | const

inline

References Degree().

## operator-() [2/3]

Degree Ogre::Degree::operator- | ( | const Degree & | d | ) | const

inline

References Degree().

## operator-() [3/3]

Degree Ogre::Degree::operator- | ( | const Radian & | r | ) | const

inline

References Degree(), and Ogre::Radian::valueDegrees().

## operator-=() [1/2]

Degree & Ogre::Degree::operator-= | ( | const Degree & | d | ) |

inline

References Degree().

## operator-=() [2/2]

Degree & Ogre::Degree::operator-= | ( | const Radian & | r | ) |

inline

References Degree(), and Ogre::Radian::valueDegrees().

## operator*() [1/2]

Degree Ogre::Degree::operator* | ( | float | f | ) | const

inline

References Degree().

## operator*() [2/2]

Degree Ogre::Degree::operator* | ( | const Degree & | f | ) | const

inline

References Degree().

## operator*=()

Degree & Ogre::Degree::operator*= | ( | float | f | ) |

inline

References Degree().

## operator/()

Degree Ogre::Degree::operator/ | ( | float | f | ) | const

inline

References Degree().

## operator/=()

Degree & Ogre::Degree::operator/= | ( | float | f | ) |

inline

References Degree().

## operator<()

bool Ogre::Degree::operator< | ( | const Degree & | d | ) | const

inline

References Degree().

## operator<=()

bool Ogre::Degree::operator<= | ( | const Degree & | d | ) | const

inline

References Degree().

## operator==()

bool Ogre::Degree::operator== | ( | const Degree & | d | ) | const

inline

References Degree().

## operator!=()

bool Ogre::Degree::operator!= | ( | const Degree & | d | ) | const

inline

References Degree().

## operator>=()

bool Ogre::Degree::operator>= | ( | const Degree & | d | ) | const

inline

References Degree().

## operator>()

bool Ogre::Degree::operator> | ( | const Degree & | d | ) | const

inline

References Degree().

The documentation for this class was generated from the following file:

- OgreMath.h